Get message status
Retrieve the current delivery status of a message that was sent through the API.
GET
/messages/status/:uuidPath parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
uuid | String | Required | Identifier of the message that was sent through the API. |
Example request
bash
curl -X GET "https://api.try-eclectic.com/v1/messages/status/adf3d1216d4c4dcd908199d6700f2381" \
-H "Authorization: Bearer test_gshuPaZoeEG6ovbc8M79w0QyM" \
-H "Content-Type: application/json"Example response
json
{
"message": {
"uuid": "adf3d1216d4c4dcd908199d6700f2381",
"status": "enqueued",
"messageStatusPayload": {
"id": "2b34bfb7-2631-4763-89fb-1b3c65a4baaa",
"type": "enqueued",
"payload": {
"type": "session",
"whatsappMessageId": "gBGGM2MSRxl_AAlqmG1KQXU7nz4"
},
"destination": "1122334455"
}
}
}